new SFXDescription(LCASoundEffects)
{
   volume   = 0.5;
   isLooping= false;
   is3D     = false;
   channel  = $GuiAudioType;
};

new SFXDescription(LCASoundEffects2)
{
   volume   = 2;
   isLooping= false;
   is3D     = false;
   channel  = $GuiAudioType;
};

// Music with loop and lower volume
new SFXDescription(LevelMusic)
{
   volume    = 0.6; // Maximum gain [0.0, 1.0]
   isLooping = true;
   loopCount = -1; // Loop infinitely
   is3D      = false;
   channel   = $MusicAudioType;
};

// Music with loop and lower volume
new SFXDescription(LevelMusicNoLoop)
{
   volume    = 0.6; // Maximum gain [0.0, 1.0]
   isLooping = false;
   loopCount = -1; // Loop infinitely
   is3D      = false;
   channel   = $MusicAudioType;
};

new SFXDescription(AudioGui20)
{
   volume    = 0.2; // Maximum gain [0.0, 1.0]
   isLooping = false;
   is3D      = false;
   channel   = $GuiAudioType;
};

new SFXDescription(AudioGui40)
{
   volume    = 0.4; // Maximum gain [0.0, 1.0]
   isLooping = false;
   is3D      = false;
   channel   = $GuiAudioType;
};

new SFXDescription(AudioGui50)
{
   volume    = 0.5; // Maximum gain [0.0, 1.0]
   isLooping = false;
   is3D      = false;
   channel   = $GuiAudioType;
};

new SFXDescription(AudioGui75)
{
   volume    = 0.75; // Maximum gain [0.0, 1.0]
   isLooping = false;
   is3D      = false;
   channel   = $GuiAudioType;
};

new SFXDescription(AudioGui80)
{
   volume    = 0.8; // Maximum gain [0.0, 1.0]
   isLooping = false;
   is3D      = false;
   channel   = $GuiAudioType;
};

new SFXDescription(AudioGui50Loop)
{
   volume    = 0.5; // Maximum gain [0.0, 1.0]
   isLooping = true;
   loopCount = -1; // Loop infinitely
   is3D      = false;
   channel   = $GuiAudioType;
};

new SFXDescription(AudioGui75Loop)
{
   volume    = 0.75; // Maximum gain [0.0, 1.0]
   isLooping = true;
   loopCount = -1; // Loop infinitely
   is3D      = false;
   channel   = $GuiAudioType;
};

new SFXDescription(AudioGuiLoop)
{
   volume    = 1.0; // Maximum gain [0.0, 1.0]
   isLooping = true;
   loopCount = -1; // Loop infinitely
   is3D      = false;
   channel   = $GuiAudioType;
};


//-----------------------------------------------------------------------------
// Torque Game Engine
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------


new SFXProfile(AudioViewportStatic)
{
   filename = "~/data/sound/gui/viewportStatic";
   description = LCASoundEffects; 
   preload = true;
};

new SFXProfile(AudioRightObject)
{
   filename = "~/data/sound/gui/objectCorrect";
   description = LCASoundEffects;
   preload = true;
};

new SFXProfile(AudioWrongObject)
{
   filename = "~/data/sound/gui/objectWrong";
   description = AudioGui80;
   preload = true;
};

new SFXProfile(AudioButtonOver)
{
   filename = "~/data/sound/gui/buttonOver";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioStartup)
{
   filename = "~/data/sound/gui/startup";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioMouseDying) //AudioMouseSqueak
{
   filename = "~/data/sound/gui/squeak";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioFlyDying)
{
   filename = "~/data/sound/gui/fly_death";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioInsectFound) 
{
   filename = "~/data/sound/gui/Insect_Death";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioCarFound) 
{
   filename = "~/data/sound/gui/Vehicle_Horn";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioBirdFound) 
{
   filename = "~/data/sound/gui/Click-Birds";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioHintFound) 
{
   filename = "~/data/sound/gui/Click-Hint";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioPointGiven) 
{
   filename = "~/data/sound/gui/Progress-Bar-Increase";
   description = "AudioGui20";
   preload = true;
};

new SFXProfile(AudioStarGain1) 
{
   filename = "~/data/sound/gui/Star-Increase-1";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioStarGain2) 
{
   filename = "~/data/sound/gui/Star-Increase-2";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioStarGain3) 
{
   filename = "~/data/sound/gui/Star-Increase-3";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioStarGain4) 
{
   filename = "~/data/sound/gui/Star-Increase-4";
   description = "AudioGui";
   preload = true;
};

new SFXProfile(AudioStarGain5) 
{
   filename = "~/data/sound/gui/Star-Increase-5";
   description = "AudioGui";
   preload = true;
};
// Music with no loop
new SFXDescription(MusicNoLoop)
{
   volume    = 1.0; // Maximum gain [0.0, 1.0]
   isLooping = false;
   is3D      = false;
   channel   = $MusicAudioType;
};

// Music with loop
new SFXDescription(MusicLoop)
{
   volume    = 1.0; // Maximum gain [0.0, 1.0]
   isLooping = true;
   loopCount = -1; // Loop infinitely
   is3D      = false;
   channel   = $MusicAudioType;
};

new SFXDescription(MusicLoop80)
{
   volume    = 0.8; // Maximum gain [0.0, 1.0]
   isLooping = true;
   loopCount = -1; // Loop infinitely
   is3D      = false;
   channel   = $MusicAudioType;
};

// Main menu music
new SFXProfile(MusicMainMenu)
{
   filename    = "~/data/sound/gui/LCA_MainTheme_280709_edit1.wav";
   description = MusicLoop80;
};

// Slider Minigame Sounds
new SFXProfile(SlidingSoundSliderMinigame)
{
   filename    = "~/data/ui/minigame/slider/SpyLevel/sliding";
   description = AudioGui;
};

new SFXProfile(SpySliderMinigamePickUp)
{
   filename    = "~/data/ui/minigame/slider/SpyLevel/Tumbler-pick-up";
   description = AudioGui75;
};

new SFXProfile(SpySliderMinigamePutDown)
{
   filename    = "~/data/ui/minigame/slider/SpyLevel/Tumbler-put-down";
   description = AudioGui75;
};

new SFXProfile(SpySliderMinigameDrill)
{
   filename    = "~/data/ui/minigame/slider/SpyLevel/Drill";
   description = AudioGui;
};

new SFXProfile(SpySliderMinigameUnlock)
{
   filename    = "~/data/ui/minigame/slider/SpyLevel/Lock-break";
   description = AudioGui;
};

new SFXProfile(WesternSliderMinigamePickUp)
{
   filename    = "~/data/ui/minigame/slider/WesternLevel/Pick-up-piece";
   description = AudioGui75;
};

new SFXProfile(WesternSliderMinigamePutDown)
{
   filename    = "~/data/ui/minigame/slider/WesternLevel/Put-down-piece";
   description = AudioGui75;
};

// Maze Minigame Sounds
new SFXProfile(MazeMinigameAmbiance)
{
   filename    = "~/data/ui/minigame/maze/Common/Ambience";
   description = AudioGui75Loop;
};

new SFXProfile(MazeMinigameFlash)
{
   filename    = "~/data/ui/minigame/maze/KungFuLevel/Paparazzi-flash";
   description = AudioGui;
};

new SFXProfile(MazeMinigameNativeShout)
{
   filename    = "~/data/ui/minigame/maze/DinosaurLevel/native-shout.ogg";
   description = AudioGui;
};

new SFXProfile(MazeMinigamePickUpLight)
{
   filename    = "~/data/ui/minigame/maze/GangsterLevel/Lightbulb-pick-up";
   description = AudioGui;
};

new SFXProfile(MazeMinigameDropLight)
{
   filename    = "~/data/ui/minigame/maze/GangsterLevel/Lightbulb-put-down";
   description = AudioGui;
};

// Pipe Minigame 

new SFXProfile(PipeMinigameAmbiance)
{
   filename    = "~/data/ui/minigame/Pipe/Ambience";
   description = AudioGuiLoop;
};

// Swat Minigame Sounds
new SFXProfile(BackgroundSwatMinigame)
{
   filename    = "~/data/ui/minigame/swat/Back_Ground_noise2";
   description = MusicLoop;
};

new SFXProfile(VictorySoundSwatMinigame)
{
   filename    = "~/data/ui/minigame/swat/cheering";
   description = AudioGui;
};

new SFXProfile(FirstHitSpiderSoundSwatMinigame)
{
   filename    = "~/data/ui/minigame/swat/first_hit_on_spider";
   description = AudioGui;
};

new SFXProfile(HitSpiderSoundSwatMinigame)
{
   filename    = "~/data/ui/minigame/swat/hit";
   description = AudioGui;
};

new SFXProfile(SpySwatMinigameHit1)
{
   filename    = "~/data/ui/minigame/swat/SPY_MiniGame_squish-1";
   description = AudioGui;
};

new SFXProfile(SpySwatMinigameHit2)
{
   filename    = "~/data/ui/minigame/swat/SPY_MiniGame_squish-2";
   description = AudioGui;
};

new SFXProfile(SpySwatMinigameHit3)
{
   filename    = "~/data/ui/minigame/swat/SPY_MiniGame_squish-3";
   description = AudioGui;
};

new SFXProfile(SpySwatMinigameHit4)
{
   filename    = "~/data/ui/minigame/swat/SPY_MiniGame_squish-4";
   description = AudioGui;
};

new SFXProfile(MissSoundSwatMinigame)
{
   filename    = "~/data/ui/minigame/swat/miss";
   description = AudioGui;
};

new SFXProfile(SwingSoundSwatMinigame)
{
   filename    = "~/data/ui/minigame/swat/swing";
   description = AudioGui;
};

// Punch Sounds

new SFXProfile(MissSoundPunchMinigame1)
{
   filename    = "~/data/ui/minigame/punch/Punch-air-1";
   description = AudioGui;
};

new SFXProfile(MissSoundPunchMinigame2)
{
   filename    = "~/data/ui/minigame/punch/Punch-air-2";
   description = AudioGui;
};


// Bejeweled Sounds
new SFXProfile(LightTurnOnSoundBejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/light_turn_on";
   description = AudioGui;
};

new SFXProfile(CursorSoundBejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Cursor-move";
   description = AudioGui;
};

new SFXProfile(ObjectsMovingSound1BejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Objects-stop-moving-1";
   description = AudioGui;
};
new SFXProfile(ObjectsMovingSound2BejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Objects-stop-moving-2";
   description = AudioGui;
};
new SFXProfile(ObjectsMovingSound3BejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Objects-stop-moving-3";
   description = AudioGui;
};
new SFXProfile(ObjectsMovingSound4BejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Objects-stop-moving-4";
   description = AudioGui;
};

new SFXProfile(MatchSound1BejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Pattern-Match-1";
   description = AudioGui;
};

new SFXProfile(MatchSound2BejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Pattern-Match-2";
   description = AudioGui;
};

new SFXProfile(MatchSound3BejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Pattern-Match-3";
   description = AudioGui;
};

new SFXProfile(MatchSound4BejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Pattern-Match-4";
   description = AudioGui;
};

new SFXProfile(MatchSound5BejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Pattern-Match-5";
   description = AudioGui;
};

new SFXProfile(MatchSound6BejeweledMinigame)
{
   filename    = "~/data/ui/minigame/bejeweled/Audio/Pattern-Match-6";
   description = AudioGui;
};

// Audio used for minigame win
new SFXProfile(MinigameWinCheering)
{
   filename    = "~/data/sound/gui/cheering";
   description = AudioGui;
};

new SFXProfile(MinigameWinFireworks)
{
   filename    = "~/data/sound/gui/fireworks";
   description = AudioGui;
};

//GUI Sound Effects
new SFXProfile(AudioButtonPress)
{
   filename    = "~/data/sound/gui/button_press";
   description = AudioGui;
};

new SFXProfile(AudioClapperBoardMoving)
{
   filename    = "~/data/sound/gui/clapper_board_moveing";
   description = AudioGui;
};

new SFXProfile(AudioClapperBoardClose)
{
   filename    = "~/data/sound/gui/close_clapper_board";
   description = AudioGui;
};

new SFXProfile(AudioDirectorMoves)
{
   filename    = "~/data/sound/gui/director_moves";
   description = AudioGui;
};

new SFXProfile(AudioMovingStar)
{
   filename    = "~/data/sound/gui/moving_star";
   description = AudioGui;
};

new SFXProfile(AudioMovingStar2)
{
   filename    = "~/data/sound/gui/moving_star2";
   description = AudioGui;
};

new SFXProfile(AudioMovingStarFinal)
{
   filename    = "~/data/sound/gui/moving_star_final";
   description = AudioGui75;
};

new SFXProfile(AudioNewShoppingListItem)
{
   filename    = "~/data/sound/gui/new_shopping_list_item";
   description = AudioGui;
};

new SFXProfile(AudioWinPointDirectorMeter)
{
   filename    = "~/data/sound/gui/win_a_point_on_director_meter";
   description = AudioGui;
};

new SFXProfile(AudioWinStar)
{
   filename    = "~/data/sound/gui/win_star";
   description = AudioGui;
};

new SFXProfile(AudioTimerBeep)
{
   filename    = "~/data/sound/gui/timer_beep";
   description = AudioGui;
};

new SFXProfile(AudioTimerBeep1)
{
   filename    = "~/data/sound/gui/timer_beep1";
   description = AudioGui;
};

new SFXProfile(AudioTimerBeep2)
{
   filename    = "~/data/sound/gui/timer_beep2";
   description = AudioGui;
};

new SFXProfile(AudioHintUsed)
{
   filename    = "~/data/ui/minigame/pic_resort/move_image";
   description = AudioGui;
};